# Creates a new project template.

POST https://api.awork.com/api/v1/projecttemplates

Creates a new project template. The new template supplies defaults for future projects.

<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>

## Request example

```sh
curl -X POST --globoff 'https://api.awork.com/api/v1/projecttemplates' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "name": "Website Design Project",
  "description": "A template used for all website design projects",
  "isBillableByDefault": "auto",
  "defaultTaskListIdForEmails": "123e4567-e89b-12d3-a456-426614174000",
  "copyImageToProjectOnCreation": true,
  "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
  "timeBudget": 1
}'
```

## Request body (application/json)

- `name`: string or null

- `description`: string or null

- `isBillableByDefault`: string or null

- `defaultTaskListIdForEmails`: string or null

- `copyImageToProjectOnCreation`: boolean

- `projectTypeId`: string or null

- `timeBudget`: integer or null

## Response 200

OK

application/json

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Website Design Project",
  "description": "A website design project created from a template",
  "createdOn": "2026-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2026-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "isBillableByDefault": "auto",
  "defaultTaskListIdForEmails": "123e4567-e89b-12d3-a456-426614174000",
  "projectStatuses": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "In Progress",
      "type": "progress",
      "isArchived": true,
      "order": 2,
      "createdOn": "2026-01-15T09:30:00Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedOn": "2026-01-15T09:30:00Z",
      "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
      "projectId": "123e4567-e89b-12d3-a456-426614174000",
      "workflowId": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "isExternal": true
    }
  ],
  "hasImage": true,
  "copyImageToProjectOnCreation": true,
  "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
  "workflowId": "123e4567-e89b-12d3-a456-426614174000",
  "timeBudget": 1,
  "hasRelativeTasks": true
}
```

## Response 400

Bad Request

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
